<?php

// Remove a versão do WordPress do cabeçalho
remove_action('wp_head', 'wp_generator');

if(session_status() !== PHP_SESSION_ACTIVE){
    session_start();
}

// criados no plugin Custom Post Type UI
// tipo de post: produto_servico;
// taxonomy = 'cidades';
//$cadastro1 = 'cidades';   testar variavel global
// taxnomy = 'segmentos';


/*  echo de arrays
$myarrays = get_taxonomies();
foreach($myarrays as $myarray){
    echo $myarray . "\n";
}
print_r(cptui_get_taxonomy_slugs())  . "<br>";
*/

//add_theme_support( 'title-tag' );

// $url = get_permalink(); // pega a url
// $id = get_the_id(); // id do post 
// get_the_terms( $post_id, category );
// get_the_title( get_the_id()) // pega o titulo
// single_cat_title(); // pega o titulo



    // $_SESSION['cidade_atual'] = '';
    //$categoria = get_the_title();
   // echo $_SESSION['cidade_atual'];
    //$categoria = single_cat_title();
        //$categoria = get_category_link();
        // Get the post categories.
        //$categoria = get_the_terms( $post_id, category );

        // add_categories_to_the_title
        //$categoria1 = get_cat_name();
        //$categoria = get_the_category();
         //$categoria = the_category();

        //$id = get_the_id(); // id do post       

        //$categoria = $_SESSION['cidade_atual'];         

        //$title .= ' em ' . $categoria; 


function add_categories_to_the_title( $title, $id ) {

    //$cats_nome = single_cat_title();
    //echo 'deucerto! nomeda da categoria: ' . $cats_nome;

        
        

        if ( is_category() && 'post' == get_post_type( $id ) ) { // se clicou em categoria, cria asessão de categoria, insere no titulo da listagem
            $_SESSION['categoria'] = single_cat_title('', false);            
            if ( ! empty($_SESSION['categoria']) ) {
            $title .= ' em Categoria: ' . $_SESSION['categoria'] ;
            }

            /*  pegar id da categoria
            $categories = get_the_category();
            $cats_string = '';
            if ( ! empty($categories) ) {
            foreach ( $categories as $term ) {
                $cats_string .= $term->name . ' ';
                $categoria_id = get_queried_object_id('$cats_string');
            }
            }
            if ( $cats_string ) {

            //global $category;
            //$categoria_id = get_queried_object_id();
            //$title .= ' em ' . $cats_string . ' / ID: '. $categoria_id;
            echo  'Categoria: ' . $cats_string . ' / ID: '. $categoria_id;
            }
            */
        }

        if ( is_tax() && 'produto_servico' == get_post_type( $id ) ) { // se clicou em taxnomy, cria a sessão com título     

        	// $_SESSION['categoria'] = single_cat_title( '', false );        	
            //$_SESSION['cidade'] = single_term_title( '', false );
            //$_SESSION['segmento'] = single_term_title( '', false );
            
            $titulo = single_term_title( '', false );

            //$terms = get_the_terms( get_the_id(), 'segmentos' );
            //if ( !empty( $terms ) ){
                //print_r( $terms );
            //}

            $todos_cidades = get_the_term_list( get_the_id(), 'cidades' );
                if ( ! empty($todos_cidades) ) {
                    //echo str_word_count($todos_segmentos); 
                    //echo var_dump($todos_segmentos);
                    //print_r (explode(" ",$todos_segmentos));
                    //echo $todos_cidades;
                    //echo is_array($todos_cidades) ? 'Yes Array' : 'not an Array';
                    if (strpos($todos_cidades, $titulo) !== false) {
                        //echo $titulo;
                        $_SESSION['cidade'] = $titulo;
                        //echo $_SESSION['cidade'];
                    }                
                }

             $todos_segmentos = get_the_term_list( get_the_id(), 'segmentos' );
                if ( ! empty($todos_segmentos) ) {
                    if (strpos($todos_segmentos, $titulo) !== false) {
                        //echo $titulo;
                        $_SESSION['segmento'] = $titulo;
                        //echo $_SESSION['segmento'];
                    }                
                }
            


            /* if ( ! empty($_SESSION['categoria']) ) {
            $title .= ' | Cat: ' . $_SESSION['categoria'] ;
            } */
            if ( ! empty($_SESSION['cidade']) ) {
            $title .= ' | em ' . $_SESSION['cidade'] ;
            }
            if ( ! empty($_SESSION['segmento']) ) {
            $title .= ' | de ' . $_SESSION['segmento'] ;
            }

            
       	}  



        //get_template_part( 'includes/partials/blog/styles/masonry-material/post-taxonomies' );
        //$title .= ' | Tipo: ' . wp_get_object_terms();

        //get_the_terms( $id, $taxonomy );

        //get_ancestors();
        //get_terms();
        //get_catgory_parents();
        //get_debug_type(variable);
        //$_POST['variable'];


        
        if ( is_singular( 'post' ) && 'post' == get_post_type( $id ) ) {  // it will work only for posts on single page, but you can modify this 
        /* condition para várias categorias
        $categories = get_the_category();
        $cats_string = '';
        if ( ! empty($categories) ) {
            foreach ( $categories as $term ) {
                $cats_string .= $term->name . ' ';
                $categoria_id = get_queried_object_id('$cats_string');
            }
        }
        if ( $cats_string ) {

            $title .= ' em ' . $cats_string . ' ID: '. $categoria_id;
        }
        */
        
        /*
        if ( ! empty($_SESSION['categoria']) ) {
            $title .= ' | Categoria: ' . $_SESSION['categoria'] ;
        } 
        */
        if ( ! empty($_SESSION['cidade']) ) {
            $title .= ' | Cidade: ' . $_SESSION['cidade'] ;
        }
        if ( ! empty($_SESSION['segmento']) ) {
            $title .= ' | Segmento: ' . $_SESSION['segmento'];
        }
        

        }    

    return $title;
}

add_filter( 'the_title', 'add_categories_to_the_title', 10, 2 );

add_filter('wp_title', 'add_categories_to_the_title', 10, 2);

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////



